directories = {
    '/etc/scanbd/scripts': {
        'purge': True,
    },
    '/srv/scansnap': {
        'owner': 'nobody',
        'group': 'nogroup',
    },
}

if node.has_bundle('zfs'):
    directories['/srv/scansnap']['needs'] = {
        'bundle:zfs',
    }

files = {
    '/etc/scanbd/scanbd.conf': {
        'triggers': {
            'svc_systemd:scanbd:restart',
        },
    },
    '/etc/scanbd/scripts/scan.sh': {
        'mode': '0755',
        'needs': {
            'directory:/srv/scansnap',
        },
    },
}

svc_systemd = {
    'scanbd': {
        'needs': {
            'file:/etc/scanbd/scanbd.conf',
            'pkg_apt:scanbd',
        },
    },
}
